<?php
WpyarPanelCSF::createSection($prefix, array(
    'id' => 'alert_top_sec',
    'title' => __('Atert', 'wpyar_panel'),
    'icon' => 'fas fa-exclamation-circle',
    'fields' => array(
        array(
            'id' => 'rep_alerts',
            'type' => 'group',
            'title' => __('Aterts', 'wpyar_panel'),
            'fields' => array(
                array(
                    'id' => 'alert_top_title',
                    'type' => 'text',
                    'title' => __('Title', 'wpyar_panel'),
                ),
                array(
                    'id' => 'alert_top',
                    'type' => 'textarea',
                    'title' => __('Text', 'wpyar_panel'),
                ),
                array(
                    'id' => 'close',
                    'type' => 'switcher',
                    'title' => __('Enable close alert', 'wpyar_panel'),
                    'text_width' => 90
                ),
                array(
                    'id' => 'alert_top_color',
                    'type' => 'select',
                    'title' => __('color', 'wpyar_panel'),
                    'options' => array(
                        'success-wpyarpanel' => __('Green', 'wpyar_panel'),
                        'danger-wpyarpanel' => __('Red', 'wpyar_panel'),
                        'info-wpyarpanel' => __('Blue', 'wpyar_panel'),

                    ),
                    'default' => 'success'
                ),
            ),
        ),
    )
));