<?php
WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'login_req',
    'title' => __('Email authentication', 'wpyar_panel'),
    'icon' => 'fa fa-square-o',
    'fields' => array(

        array(
            'id' => 'email_authentication',
            'type' => 'tabbed',
            'title' => __('Email authentication', 'wpyar_panel'),
            'tabs' => array(
                array(
                    'title' => __('Password Reset', 'wpyar_panel'),
                    'fields' => array(


                        array(
                            'id' => 'title_lostpass_mail_wpyarud',
                            'type' => 'text',
                            'default' => __('Reset Password', 'wpyar_panel'),
                            'title' => __('Email Subject', 'wpyar_panel'),
                        ),

                        array(
                            'title' => __('Email Content', 'wpyar_panel'),
                            'id' => 'template_lostpass_mail_wpyarud',
                            'default' => __('Your email verification code to forget your password:{{code}}', 'wpyar_panel'),
                            'type' => 'wp_editor',
                        ),

                        array(
                            'type' => 'callback',
                            'function' => 'register_mail_wpyarud',


                        ),

                    )
                ),
                array(
                    'title' => __('Email confirmation', 'wpyar_panel'),
                    'fields' => array(

                        array(
                            'id' => 'verify_email_reg_wpyarud',
                            'type' => 'switcher',
                            'title' => __('Enable email verification', 'wpyar_panel'),
                            'text_width' => '90',
                        ),

                        array(
                            'id' => 'title_verify_mail_wpyarud_reg',
                            'type' => 'text',
                            'title' => __('Email Subject', 'wpyar_panel'),
                            'dependency' => array('verify_email_reg_wpyarud', '==', '1'),
                        ),

                        array(
                            'id' => 'text_patern_mail_for_user_wpyarud',
                            'type' => 'wp_editor',
                            'title' => __('Email Content', 'wpyar_panel'),
                            'dependency' => array('verify_email_reg_wpyarud', '==', '1'),
                        ),

                        array(
                            'type' => 'callback',
                            'function' => 'register_mail_wpyarud',
                            'dependency' => array('verify_email_reg_wpyarud', '==', '1'),
                        ),


                    )
                ),
                array(
                    'title' => __('Login with one-time password', 'wpyar_panel'),
                    'fields' => array(


                        array(
                            'id' => 'subject_disposable',
                            'type' => 'text',
                            'title' => __('Email Subject', 'wpyar_panel'),

                        ),

                        array(
                            'id' => 'content_disposable',
                            'type' => 'wp_editor',
                            'title' => __('Email Content', 'wpyar_panel'),

                        ),

                        array(
                            'type' => 'callback',
                            'function' => 'register_mail_wpyarud',
                        )


                    )
                ),
                array(
                    'title' => __('Change email', 'wpyar_panel'),
                    'fields' => array(


                        array(
                            'id' => 'subject_change',
                            'type' => 'text',
                            'title' => __('Email Subject', 'wpyar_panel'),

                        ),

                        array(
                            'id' => 'content_change',
                            'type' => 'wp_editor',
                            'title' => __('Email Content', 'wpyar_panel'),

                        ),

                        array(
                            'type' => 'callback',
                            'function' => 'register_mail_wpyarud',
                        )


                    )
                ),
                array(
                    'title'     => __('Extra Field Basic in Wordpress','wpyar_panel'),
                    'fields'    => array(
                        array(
                            'id'    => 'active_req_wpyarud_email_name',
                            'type'  => 'switcher',
                            'title' => __('Activate the name field','wpyar_panel'),
                            'text_width' => 90
                        ),

                        array(
                            'id'    => 'requried_req_wpyarud_email_name',
                            'type'  => 'switcher',
                            'title' => __('required the name field','wpyar_panel'),
                            'text_width' => 90
                        ),

                        array(
                            'id'    => 'active_req_wpyarud_email_family',
                            'type'  => 'switcher',
                            'title' => __('Activate the last name field','wpyar_panel'),
                            'text_width' => 90
                        ),

                        array(
                            'id'    => 'requried_req_wpyarud_email_family',
                            'type'  => 'switcher',
                            'title' => __('required the last name field','wpyar_panel'),
                            'text_width' => 90
                        ),

                        array(
                            'id'    => 'active_req_wpyarud_email_disname',
                            'type'  => 'switcher',
                            'title' => __('Activate the display name field','wpyar_panel'),
                            'text_width' => 90
                        ),

                        array(
                            'id'    => 'requried_req_wpyarud_email_disname',
                            'type'  => 'switcher',
                            'title' => __('required the display name field','wpyar_panel'),
                            'text_width' => 90
                        ),
                        array(
                            'id'    => 'active_req_wpyarud_email_phone',
                            'type'  => 'switcher',
                            'title' => __('Activate the Phone','wpyar_panel'),
                            'text_width' => 90
                        ),

                        array(
                            'id'    => 'requried_req_wpyarud_email_phone',
                            'type'  => 'switcher',
                            'title' => __('required the Phone','wpyar_panel'),
                            'text_width' => 90
                        ),

                    )
                ),

            )
        ),

    )
));

