<?php
WpyarPanelCSF::createSection($prefix, array(
	'title' => __('Lock Checkout','wpyar_panel'),
	'icon' => 'fas fa-lock',

	'fields' => array(
        array(
          'type'    => 'submessage',
          'style'   => 'warning',
          'content' => __('You can make the membership mandatory and users will be faced with the following content on the login page before entering the order information page','wpyar_panel'),
        ),
		array(
	      'id'         => 'active_lock_checkout',
		  'type'       => 'switcher',
		  'title'      => __('Activate Lock Checkout','wpyar_panel'),
		  'text_width' => 100
		),
		array(
			'id'         => 'img_login_lock_checkout',
			'type'       => 'upload',
			'preview'       => true,
			'title'      => __('Image Login','wpyar_panel'),
			'dependency' => array( 'active_lock_checkout', '==', 'true' ) // check for true/false by field id
		),

		array(
			'id'         => 'title_login_lock_checkout',
			'type'       => 'text',
			'title'      => __('Title Login','wpyar_panel'),
			'dependency' => array( 'active_lock_checkout', '==', 'true' ) // check for true/false by field id
		),
		array(
			'id'         => 'subtitle_login_lock_checkout',
			'type'       => 'text',
			'title'      => __('Subtitle Login','wpyar_panel'),
			'dependency' => array( 'active_lock_checkout', '==', 'true' ) // check for true/false by field id
		),
		array(
			'id'         => 'img_register_lock_checkout',
			'type'       => 'upload',
			'preview'       => true,
			'title'      => __('Image Register','wpyar_panel'),
			'dependency' => array( 'active_lock_checkout', '==', 'true' ) // check for true/false by field id
		),
		array(
			'id'         => 'title_register_lock_checkout',
			'type'       => 'text',
			'title'      => __('Title Register','wpyar_panel'),
			'dependency' => array( 'active_lock_checkout', '==', 'true' ) // check for true/false by field id
		),
		array(
			'id'         => 'subtitle_register_lock_checkout',
			'type'       => 'text',
			'title'      => __('Subtitle Register','wpyar_panel'),
			'dependency' => array( 'active_lock_checkout', '==', 'true' ) // check for true/false by field id
		),

	)
));