<?php
WpyarPanelCSF::createSection($prefix, array(
	'title' => __('Infinity Menus','wpyar_panel'),
	'icon' => 'fas fa-plus-square',
	'fields' => array(
		array(
			'id'        => 'infinity_menu_cus',
			'type'      => 'group',
			'title'     => __('Menus','wpyar_panel'),
			'fields'    => array(
				array(
					'id'    => 'title',
					'type'  => 'text',
					'title' => __('Title','wpyar_panel'),
				),
				array(
					'id'    => 'icon',
					'type'  => 'icon',
					'title' => __('Icon','wpyar_panel'),
				),
				array(
					'id'    => 'content',
					'type'  => 'wp_editor',
					'title' =>__('Content','wpyar_panel'),
				),
				array(
					'id' => 'roles',
					'type' => 'select',
					'title' => __('select the role','wpyar_panel'),
					'chosen' => true,
					'multiple' => true,
					'placeholder' => __('If you want to filter the menu, select the roles you want','wpyar_panel'),
					'help' => __('If you want to filter the menu, select the roles you want. Note that only the selected roles have the ability to access the menu.','wpyar_panel'),
					'options' => 'list_role_wpyarud'


				),

				array(
					'id' => 'page',
					'type' => 'select','chosen'      => true,
					'title' => __('Select Page','wpyar_panel'),
					'placeholder' => __('Select Page','wpyar_panel'),
					'options' => 'pages',
					'query_args' => array(
						'posts_per_page' => -1 // for get all pages (also it's same for posts).
					)
				),
			),
		),


	)
));
