<?php


WpyarPanelCSF::createSection($prefix, array(
    'id' => 'menu_custom',
    'title' => __('Manage menus','wpyar_panel'),
    'icon' => 'fa fa-bars',
));

 
//
// Field: AdCanced Menu
//
WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'menu_custom',
    'title' => __('first custom menu','wpyar_panel'),
    'icon' => 'fa fa-star',
    'fields' => array(
        array(
            'id' => 'list_role_wpyarud_one',
            'type' => 'select',
            'title' => __('select the role','wpyar_panel'),
            'chosen' => true,
            'multiple' => true,
            'placeholder' => __('If you want to filter the menu, select the roles you want','wpyar_panel'),
            'help' => __('If you want to filter the menu, select the roles you want. Note that only the selected roles have the ability to access the menu.','wpyar_panel'),
            'options' => 'list_role_wpyarud'


        ),
 
        array(
            'id' => 'icon_adv_user_one',
            'type' => 'icon',
            'title' => __('Icon','wpyar_panel'),
        ),
        array(
            'id' => 'text_acvanced_menu_nav',
            'type' => 'text',
            'title' => __('Title','wpyar_panel'),
        ),


        array(
            'id' => 'content_acvanced_menu_nav',
            'type' => 'wp_editor',
            'title' => __('Content','wpyar_panel'),
            'tinymce' => true,
            'quicktags' => true,
            'media_buttons' => true,
            'sanitize' => true,
            'subtitle' => __('(support ShortCode)','wpyar_panel')

        ),


        array(
            'id' => 'page_acvanced_menu_nav',
            'type' => 'select','chosen'      => true,
            'title' => __('Select Page','wpyar_panel'),
            'placeholder' => __('Select Page','wpyar_panel'),
            'options' => 'pages',
            'query_args' => array(
	            'posts_per_page' => -1 // for get all pages (also it's same for posts).
            )
        ),


    )
));


WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'menu_custom',
    'title' => __('Second custom menu','wpyar_panel'),
    'icon' => 'fa fa-star',
    'fields' => array(

 
        array(
            'id' => 'list_role_wpyarud_t',
            'type' => 'select',
            'title' => __('select the role','wpyar_panel'),
            'chosen' => true,
            'multiple' => true,
            'placeholder' => __('If you want to filter the menu, select the roles you want','wpyar_panel'),
            'help' => __('If you want to filter the menu, select the roles you want. Note that only the selected roles have the ability to access the menu.','wpyar_panel'),
            'options' => 'list_role_wpyarud'


        ),
        array(
            'id' => 'icon_adv_user_t',
            'type' => 'icon',
            'title' => __('Icon','wpyar_panel'),
        ),
        array(
            'id' => 'text_acvanced_menu_nav_t',
            'type' => 'text',
            'title' => __('Title','wpyar_panel'),
        ),

        array(
            'id' => 'content_acvanced_menu_nav_t',
            'type' => 'wp_editor',
            'title' => __('Content','wpyar_panel'),
            'tinymce' => true,
            'quicktags' => true,
            'media_buttons' => true,
            'sanitize' => false,
            'subtitle' => __('(support ShortCode)','wpyar_panel')

        ),
	    array(
		    'id' => 'page_acvanced_menu_nav_t',
		    'type' => 'select',
		    'title' => __('Select Page','wpyar_panel'),
		    'placeholder' => __('Select Page','wpyar_panel'),
		    'options' => 'pages','chosen'      => true,
		    'query_args' => array(
			    'posts_per_page' => -1 // for get all pages (also it's same for posts).
		    )
	    ),


    )
));


WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'menu_custom',
    'title' => __('Third custom menu','wpyar_panel'),
    'icon' => 'fa fa-star',
    'fields' => array(
 
        array(
            'id' => 'list_role_wpyarud_th',
            'type' => 'select',
            'title' => __('select the role','wpyar_panel'),
            'chosen' => true,
            'multiple' => true,
            'placeholder' => __('If you want to filter the menu, select the roles you want','wpyar_panel'),
            'help' => __('If you want to filter the menu, select the roles you want. Note that only the selected roles have the ability to access the menu.','wpyar_panel'),
            'options' => 'list_role_wpyarud'


        ),
        array(
            'id' => 'icon_adv_user_th',
            'type' => 'icon',
            'title' => __('Icon','wpyar_panel'),
        ),

        array(
            'id' => 'text_acvanced_menu_nav_th',
            'type' => 'text',
            'title' => __('Title','wpyar_panel'),
        ),


        array(
            'id' => 'content_acvanced_menu_nav_th',
            'type' => 'wp_editor',
            'title' => __('Content','wpyar_panel'),
            'tinymce' => true,
            'quicktags' => true,
            'media_buttons' => true,
            'sanitize' => false,
            'subtitle' => __('(support ShortCode)','wpyar_panel')
        ),
	    array(
		    'id' => 'page_acvanced_menu_nav_th',
		    'type' => 'select',
		    'title' => __('Select Page','wpyar_panel'),
		    'placeholder' => __('Select Page','wpyar_panel'),
		    'options' => 'pages','chosen'      => true,
		    'query_args' => array(
			    'posts_per_page' => -1 // for get all pages (also it's same for posts).
		    )
	    ),



    )
));


WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'menu_custom',
    'title' => __('Fourth custom menu','wpyar_panel'),
    'icon' => 'fa fa-star',
    'fields' => array(
 
        array(
            'id' => 'list_role_wpyarud_four',
            'type' => 'select',
            'title' => __('select the role','wpyar_panel'),
            'chosen' => true,
            'multiple' => true,
            'placeholder' => __('If you want to filter the menu, select the roles you want','wpyar_panel'),
            'help' => __('If you want to filter the menu, select the roles you want. Note that only the selected roles have the ability to access the menu.','wpyar_panel'),
            'options' => 'list_role_wpyarud'


        ),
        array(
            'id' => 'icon_adv_user_four',
            'type' => 'icon',
            'title' => __('Icon','wpyar_panel'),
        ),

        array(
            'id' => 'text_acvanced_menu_nav_four',
            'type' => 'text',
            'title' => __('Title','wpyar_panel'),
        ),


        array(
            'id' => 'content_acvanced_menu_nav_four',
            'type' => 'wp_editor',
            'title' => __('Content','wpyar_panel'),
            'tinymce' => true,
            'quicktags' => true,
            'media_buttons' => true,
            'sanitize' => false,
            'subtitle' => __('(support ShortCode)','wpyar_panel')
        ),
	    array(
		    'id' => 'page_acvanced_menu_nav_four',
		    'type' => 'select',
		    'title' => __('Select Page','wpyar_panel'),
		    'placeholder' => __('Select Page','wpyar_panel'),
		    'options' => 'pages','chosen'      => true,
		    'query_args' => array(
			    'posts_per_page' => -1 // for get all pages (also it's same for posts).
		    )
	    ),


    )
));


WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'menu_custom',
    'title' => __('Fifth custom menu','wpyar_panel'),
    'icon' => 'fa fa-star',
    'fields' => array(
 
        array(
            'id' => 'list_role_wpyarud_five',
            'type' => 'select',
            'title' => __('select the role','wpyar_panel'),
            'chosen' => true,
            'multiple' => true,
            'placeholder' => __('If you want to filter the menu, select the roles you want','wpyar_panel'),
            'help' => __('If you want to filter the menu, select the roles you want. Note that only the selected roles have the ability to access the menu.','wpyar_panel'),
            'options' => 'list_role_wpyarud'


        ),
        array(
            'id' => 'icon_adv_user_five',
            'type' => 'icon',
            'title' => __('Icon','wpyar_panel'),
        ),

        array(
            'id' => 'text_acvanced_menu_nav_five',
            'type' => 'text',
            'title' => __('Title','wpyar_panel'),
        ),


        array(
            'id' => 'content_acvanced_menu_nav_five',
            'type' => 'wp_editor',
            'title' => __('Content','wpyar_panel'),
            'tinymce' => true,
            'quicktags' => true,
            'media_buttons' => true,
            'sanitize' => false,
            'subtitle' => __('(support ShortCode)','wpyar_panel')
        ),
	    array(
		    'id' => 'page_acvanced_menu_nav_five',
		    'type' => 'select',
		    'title' => __('Select Page','wpyar_panel'),
		    'placeholder' => __('Select Page','wpyar_panel'),
		    'options' => 'pages','chosen'      => true,
		    'query_args' => array(
			    'posts_per_page' => -1 // for get all pages (also it's same for posts).
		    )
	    ),


    )
));


WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'menu_custom',
    'title' => __('Repeatable custom menu','wpyar_panel'),
    'icon' => 'fa fa-star',
    'fields' => array(


        array(
            'id' => 'rep_adv_menu',
            'type' => 'repeater',
            'title' => __('List menus','wpyar_panel'),
            'fields' => array(

                array(
                    'id' => 'icon_adv_user_one_r',
                    'type' => 'icon',
                    'title' => __('Icon','wpyar_panel'),
                ),
                array(
                    'id' => 'list_role_wpyarud_rep',
                    'type' => 'select',
                    'title' => __('select the role','wpyar_panel'),
                    'chosen' => true,
                    'multiple' => true,
                    'placeholder' => __('If you want to filter the menu, select the roles you want','wpyar_panel'),
                    'help' => __('If you want to filter the menu, select the roles you want. Note that only the selected roles have the ability to access the menu.','wpyar_panel'),
                    'options' => 'list_role_wpyarud'


                ),
                array(
                    'id' => 'name_rep_adv_menu',
                    'type' => 'text',
                    'title' => __('Name','wpyar_panel'),
                ),
                array(
                    'id' => 'livk_adv_menu_rep',
                    'type' => 'text',
                    'title' => __('Link','wpyar_panel'),
                ),
                array(
                    'id' => 'taget_adv_link_rep',
                    'type' => 'switcher',
                    'title' => __('Open in New Tab','wpyar_panel'),
                    'text_width' => 100,
                ),


            ),


        )


    )
));

