<?php
WpyarPanelCSF::createSection($prefix, array(
    'title' => __('Chat GPT','wpyar_panel'),
    'icon' => 'fas fa-robot',

    'fields' => array(

        array(
            'id' => 'nirweb_api_key',
            'type' => 'switcher',
            'text_width' => 100,
            'title' => esc_html__('Use nirgpt api key','wpyar_panel'),
            'default'=> true
        ),
        array(
            'id' => 'api_key',
            'type' => 'text',
            'title' => 'api key',
            'dependency'=> array('nirweb_api_key','==',false)
        ),
       
        array(
            'id' => 'save_in_db',
            'type' => 'switcher',
            'text_width' => 100,
            'title' => esc_html__('Save chats in database','wpyar_panel')
        ),
        array(
            'type'     => 'callback',
            'function' => 'truncate_nirgpt_ui',
            'dependency' => array('save_in_db','==',true)
        )



    )
));