<?php if ( ! defined( 'ABSPATH' )  ) { die; } // Cannot access directly.
 
// Create taxonomy options
//
WpyarPanelCSF::createTaxonomyOptions( 'tax_cat_pm_wpyar', array(
  'taxonomy' => 'cat_wpyar_pm',
  'data_type '=>'unserialize'
) );

//
// Create a section
//
WpyarPanelCSF::createSection( 'tax_cat_pm_wpyar', array(
  'fields' => array(
    array(
      'id'    => 'term_cat_pm',
      'type'  => 'icon',
      'title' => 'Icon',
    ),
  )
) );


WpyarPanelCSF::createMetabox( 'gift_coupen', array(
  'title'     => __('Extra Option','wpyar_panel'),
  'post_type' => 'gift_cuopen',
  'data_type '=>'unserialize',
  'context'   => 'side', // The context within the screen where the boxes should display. `normal`, `side`, `advanced`
) );

//
// Create a section
WpyarPanelCSF::createSection( 'gift_coupen', array(
  'data_type '=>'unserialize',
  'fields' => array(
 
    array(
      'id' => 'gift_color',
      'type' => 'select',
      'title' => __('Select','wpyar_panel'),
      'options' => array(
           'success-wpyarpanel' => __('Green','wpyar_panel'),
          'danger-wpyarpanel' => __('Red','wpyar_panel'),
           'info-wpyarpanel' => __('Blue','wpyar_panel'),

      ),
      'default' => 'success'
  ),

  array(
    'id'         => 'expired_gift',
    'type'       => 'switcher',
    'title'      => __('Expired Gift','wpyar_panel'),
    'text_width' => 100
  ),

  )
) );