jQuery(document).ready(function ($){
    function send_msg(message){
        if(message.trim().length < 1){
            return;
        }
        $('.messages_nirgpt').css({'paddingBottom': 20});
        $('#message_nirgpt').val('');
        $('.messages_nirgpt').append(`<div class="mine_nirgpt">${message}</div>`);
        $('.messages_nirgpt').append(`<div class="loading_nirgpt"><div class="loader">
                    <span></span>
                    <span></span>
                    <span></span>
                </div></div>`);
        $.ajax({
            url: nirgpt.ajax_url,
            data: {
                action: "send_message_nirgpt",
                message
            },
            type: "POST",
            success: function (data) {
                $('.loading_nirgpt').remove();
                $('.messages_nirgpt').append(`<div class="gpts_nirgpt">${data}</div>`);
            },
            error: function (data) {
                $('.loading_nirgpt').remove();
            }
        });
    }

    $(document).on('keypress','#message_nirgpt',function(e) {
        if(e.which == 13 || e.keyCode == 13) {
            message = $(this).val();
            send_msg(message);
        }
    });
    $(document).on('click','.message_gpt_btn',function(e) {
        message = $('#message_nirgpt').val();
        send_msg(message);
    });

    $('.messages_nirgpt').css({'paddingBottom': 150});

    $('.messages_nirgpt').animate({
        scrollTop: $('.messages_nirgpt').prop('scrollHeight'),
    }, 0);
});