<?php

//****************** menu my account *******************************
if ( is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
	function custom_redirect_my_account_orders() {
		if ( @op_wpyar_panel['redirect_woo_acc_wpyar_auth'] == '1' ) {

			if ( is_account_page() && is_wc_endpoint_url( 'orders' ) ) {
				$orders_url = slug_page . '?endp=orders'; // مسیر دلخواه خود را قرار دهید
				wp_redirect( $orders_url );
				exit;
			}
			if ( is_account_page() && is_wc_endpoint_url( 'downloads' ) ) {

				$downloads_url = slug_page . '?endp=downloads'; // مسیر دلخواه خود را قرار دهید
				wp_redirect( $downloads_url );
				exit;
			}
			if ( is_account_page() && is_wc_endpoint_url( 'edit-address' ) ) {
				$address_url = slug_page . '?endp=edit-address'; // مسیر دلخواه خود را قرار دهید
				wp_redirect( $address_url );
				exit;
			}
			if ( is_account_page() && is_wc_endpoint_url( 'edit-account' ) ) {
				$account_url = slug_page . '?endp=edit-account'; // مسیر دلخواه خود را قرار دهید
				wp_redirect( $account_url );
				exit;
			}
			if ( is_account_page() && is_wc_endpoint_url( 'nirwallet' ) ) {
				$nirwallet_url = slug_page . '?endp=nirweb-wallet'; // مسیر دلخواه خود را قرار دهید
				wp_redirect( $nirwallet_url );
				exit;
			}

		}
	}
	add_action( 'wp', 'custom_redirect_my_account_orders' );
}


/****************************************/

add_action( 'template_redirect', function () {
	if ( op_wpyar_panel['lock_website'] && op_wpyar_panel['lock_website'] == '1' && ! is_user_logged_in() && ! is_page( op_wpyar_panel['login_register_page_auth_wpyar'] ) ) {
		wp_redirect( get_page_link( op_wpyar_panel['login_register_page_auth_wpyar'] ) );
		exit;
	}
} );

//------------ Redirect Replay Ticket -----------------------
if ( ( is_plugin_active( 'nirweb-support-pro/nirweb-support-pro.php' ) or is_plugin_active( 'nirweb-support/nirweb-support.php' ) or is_plugin_active( 'wpyar_ticket_pro/wpyar_ticket_pro.php' ) ) && ( op_wpyar_panel['redirect_nirweb_support_pro'] ?? true ) ) {
	if ( isset( $_GET['id'] ) && isset( $_GET['action'] ) && $_GET['action'] == 'reply' ) {
		function redirect_rep_ticket_wpyarud() {
			$url_acc = slug_page . '?endp=reply-ticket&id=' . $_GET['id'];
			wp_safe_redirect( $url_acc );
			exit();
		}

		add_action( 'init', 'redirect_rep_ticket_wpyarud' );
	}
}
//------------ Redirect NirWeb License  -----------------------
if ( is_plugin_active( 'lic_nirweb/lic_nirweb.php' ) && isset( $_GET['lic_nirweb'] ) && isset( $_GET['endp'] ) && $_GET['endp'] == 'orders' && isset( $_GET['_wpnonce'] ) ) {
	add_action( 'init', function () {
		if ( wp_verify_nonce( $_GET['_wpnonce'] ) ) {
			$url_acc = slug_page . '?endp=lic_nirweb&id=' . $_GET['lic_nirweb'];
			wp_safe_redirect( $url_acc );
			exit();
		}
	} );
}
//------------ Redirect EDD ORDER View -----------------------
if ( is_plugin_active( 'easy-digital-downloads/easy-digital-downloads.php' ) ) {
	if ( @$_GET['payment_key'] && @$_GET['endp'] != 'order-view-edd' ) {
		add_action( 'init', function () {
			$wpyar_url = slug_page . '?endp=order-view-edd&payment_key=' . $_GET['payment_key'];
			wp_redirect( $wpyar_url );
			exit();
		} );
	}
}
//------------------- Redirect Salehi ticket ----------------------
add_action( 'init', function () {
	if ( is_plugin_active( 'wp-advanced-support-ticket/support-ticket.php' ) ) {
		$curect_url    = "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
		$curect_url_tw = "https://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
		if ( @get_option( 'wpast_options' )['panel-url'] && strlen( get_option( 'wpast_options' )['panel-url'] ) > 3 ) {
			$surl    = get_option( 'wpast_options' )['panel-url'] . '/tickets?action=new';
			$surl_tw = get_option( 'wpast_options' )['panel-url'] . '/tickets';
		} else {
			$surl    = get_page_link( intval( get_option( 'woocommerce_myaccount_page_id' ) ) ) . 'tickets/?action=new';
			$surl_tw = get_page_link( intval( get_option( 'woocommerce_myaccount_page_id' ) ) ) . 'tickets/';
		}
		if ( @$_GET['endp'] != 'sticket' && isset( $_GET['ticket-id'] ) && $_GET['action'] == 'view' ) {
			$wpyar_url = slug_page . '?endp=sticket&action=view&ticket-id=' . $_GET['ticket-id'];
			wp_redirect( $wpyar_url );
			exit();
		}
		if ( $surl == $curect_url || $surl == $curect_url_tw ) {
			$wpyar_url = slug_page . '?endp=sticket&action=new';
			wp_redirect( $wpyar_url );
			exit();
		}
		if ( $surl_tw == $curect_url or $surl_tw == $curect_url_tw ) {
			$wpyar_url = slug_page . '?endp=sticket';
			wp_safe_redirect( $wpyar_url );
			exit();
		}
	}
} );
//------------------- Redirect LogOut Woocommerce ----------------------
if ( isset( op_wpyar_panel['redirect_woo_acc_wpyar_auth'] ) && op_wpyar_panel['redirect_woo_acc_wpyar_auth'] == '1' && isset( $_SERVER['HTTP_HOST'] ) && strpos( $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'], 'customer-logout' ) ) {
	add_action( 'init', function () {
		wp_logout();
	} );
}
//----------------- Redirect Login page wordpress ------------------
add_action( 'init', function () {
	if ( isset( op_wpyar_panel['redirect_wp_login_wpyar_auth'] ) && op_wpyar_panel['redirect_wp_login_wpyar_auth'] == '1' ) {
		$id_login_page = op_wpyar_panel['login_register_page_auth_wpyar'];
		if ( $id_login_page ) {
			$target_url = get_page_link( $id_login_page );
			global $pagenow;
			if ( ( $pagenow == "wp-login.php" || $pagenow == "wp-admin.php" ) && $_SERVER['REQUEST_METHOD'] == 'GET' && ! is_user_logged_in() ) {
				wp_redirect( $target_url );
				exit;
			}
		}
	}
} );

//------------------- Redirect Woocommerce Login --------------
if ( is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
	add_action( 'wp', 'redirect_customer_login_access' );
	function redirect_customer_login_access() {
		if ( op_wpyar_panel['redirect_woo_login_wpyar_auth'] == '1' ) {
			if ( is_account_page() && ! is_user_logged_in() ) {
				$id_login_page = op_wpyar_panel['login_register_page_auth_wpyar'];
				if ( $id_login_page ) {
					$target_url = get_page_link( $id_login_page );
					wp_redirect( $target_url );
					exit;
				}
			}
		}
	}
}
//---------------- Redirect My account ---------------------
if ( is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
	add_action( 'wp', 'redirect_myacc_wpyar' );
	function redirect_myacc_wpyar() {
		if ( @op_wpyar_panel['redirect_woo_acc_wpyar_auth'] == '1' ) {
			if ( is_account_page() && is_user_logged_in() ) {
				wp_safe_redirect( slug_page );
				exit;
			}
		}
	}
}

if ( isset( op_wpyar_panel['redirect_woo_tanks_wpyar_auth'] ) && op_wpyar_panel['redirect_woo_tanks_wpyar_auth'] ) {
	add_action( 'woocommerce_thankyou', function ( $order_id ) {
		echo '<script>window.location.href="' . slug_page . '?endp=orders"</script>';
	}, 4 );

}
