<?php

WpyarPanelCSF::createSection($prefix, array(
    'title' => __('Personalization', 'wpyar_panel'),
    'icon' => 'fa fa-css3',
    'fields' => array(


        array(

            'id' => 'general-typography',
            'type' => 'typography',
            'title' => __('General Typography', 'wpyar_panel'),
            'subset' => false,
            'color' => false,
            'line_height' => false,
            'text_transform' => false,
            'letter_spacing' => false,
            'text_align' => false,

            'output' => ['.FourBoxDashboardWpyarPanel li .infoBoxDashboardWpyarPanel strong',
                'a,abbr,acronym,address,applet,article,aside,audio,b,big,blockquote,body,canvas,caption,center,cite,code,dd,del,details,dfn,div,dl,dt,em,embed,fieldset,figcaption,figure,footer,form,h1,h2,h3,h4,h5,h6,header,hgroup,html,iframe,img,ins,kbd,label,legend,li,mark,menu,nav,object,ol,output,p,pre,q,ruby,s,samp,section,small,span,strike,strong,sub,summary,sup,table,tbody,td,tfoot,th,thead,time,tr,tt,u,ul,var,video,bdi'

            ],
            'output_important' => true, // It adds "!important" to css property and all "output" has this parameter.

        ),

        array(

            'id' => 'title_typography',
            'type' => 'typography',
            'title' => __('Title Typography', 'wpyar_panel'),

            'subset' => false,
            'color' => false,
            'line_height' => false,
            'text_transform' => false,
            'letter_spacing' => false,
            'text_align' => false,
            'font_weight' => true,
            'font_style' => true,

            'output' => ['.nirweb_ctitle'],

            'output_important' => true, // It adds "!important" to css property and all "output" has this parameter.

        ),

        array(

            'id' => 'content-typography',
            'type' => 'typography',
            'title' => __('Content Typography', 'wpyar_panel'),

            'subset' => false,
            'line_height' => false,
            'font_weight' => true,
            'font_style' => true,
            'text_transform' => false,
            'letter_spacing' => false,
            'text_align' => false,

            'output' => [

                '.nirweb_content_col,.nirweb_content_col p,.nirweb_content_col strong , .nirweb_content_col a',
                '.nirweb_content_co,.nirweb_content_co p,.nirweb_content_co strong , .nirweb_content_co a'

            ],
            'output_important' => true, // It adds "!important" to css property and all "output" has this parameter.

        ),

        array(
            'id' => 'color-general',
            'type' => 'color',
            'title' => __('General Color', 'wpyar_panel'),
            'output' =>  array( '--wud-main-color'=>':root' ),
            'output_important'=>true
        ),
        array(
            'id' => 'color_sec',
            'type' => 'color',
            'title' => __('Secondary Color', 'wpyar_panel'),
            'output' =>  array( ' --wud-sec-color'=>':root' ),
            'output_important'=>true
        ),

        array(

            'id' => 'color_menu_panel',
            'type' => 'color',
            'title' => __('Menu Color', 'wpyar_panel'),
            'output' => '.listMenuWpyarPanel li a',
            'output_important' => true, // It adds "!important" to css property and all "output" has this parameter.

        ),


        array(
            'id' => 'a_tag_content_color',
            'type' => 'color',
            'title' => __('link Color', 'wpyar_panel'),
            'output' => '.nirweb_content_co a',
            'output_important' => true, // It adds "!important" to css property and all "output" has this parameter.

        ),



        array(
            'id' => 'bg-buttons',
            'type' => 'color',
            'title' => __('Buttons Background Color', 'wpyar_panel'),
        ),


        array(
            'id' => 'bg-iconSidebar',
            'type' => 'color',
            'title' => __('Background Color Number', 'wpyar_panel'),
        ),
        array(
            'id' => 'color-bgBtnProductSlider',
            'type' => 'color',
            'title' => __('Add To Cart Background Color', 'wpyar_panel'),
        ),

 
        array(
            'id' => 'bg-iconSidebar',
            'type' => 'color',
            'title' => __('Number Background Color', 'wpyar_panel'),
        ),
      
 

    array(
            'id' => 'color_auth_btns',
            'type' => 'color',
            'title' => __('The color of the authentication buttons', 'wpyar_panel'),
            'default' => '#fff'
        ),
	    array(
		    'id' => 'bg_color_auth_btns',
		    'type' => 'color',
		    'title' => __('Background color of authentication buttons', 'wpyar_panel'),
		    'default' => '#ffbd3f'
	    ),

        array(
            'id' => 'editor_css_wpyarud',
            'type' => 'code_editor',
            'title' => __('custom Css', 'wpyar_panel'),
            'settings' => array(
                'theme' => 'mbo',
                'mode' => 'css',
            ),
            'default' => '.element{ color: #ffbc00; }',
        ),


    )
));