<?php if ( ! defined( 'ABSPATH' )  ) { die; } // Cannot access directly.

$prefix_page_opts = 'nirweb_metabox_panel';

WpyarPanelCSF::createMetabox( $prefix_page_opts, array(
    'title'        => __('Restrict Content (Nirweb Panel)','wpyar_panel'),
    'post_type'    => ['post','page'],
    'data_type'          => 'unserialize',
    'context'            => 'side',
    'priority'           => 'high',
    'theme'              => 'light',

) );

WpyarPanelCSF::createSection( $prefix_page_opts, array(
    'fields' => array(
        array(
            'id' => 'restrict_content',
            'type' => 'switcher',

            'text_width' => '90',
        ),
    )
) );


$prefix_page_opts = 'nirweb_metabox_panel_notif';
WpyarPanelCSF::createMetabox( $prefix_page_opts, array(
    'title'        => __('Settings','wpyar_panel'),
    'post_type'    => 'notic_wpyticket',
    'data_type'          => 'unserialize',
    'context'            => 'side',
    'priority'           => 'high',
    'theme'              => 'light',

) );

WpyarPanelCSF::createSection( $prefix_page_opts, array(
    'fields' => array(
        array(
            'id' => 'user_role',
            'type' => 'select',
            'options' => 'roles',
            'placeholder' => esc_html__('Select an option','wpyar_panel'),
        ),
    )
) );
