<?php
if (is_plugin_active('nir_wallet/nir_wallet.php')) {
    $fields = array(

        array(
            'id' => 'add_referral_code_email_signup',
            'type' => 'switcher',
            'text_width' => 100,
            'title' => esc_html__('Add referral code to email signup','wpyar_panel'),
            'default'=> false
        ),

        array(
            'id' => 'add_referral_code_sms_signup',
            'type' => 'switcher',
            'text_width' => 100,
            'title' => esc_html__('Add referral code to sms signup','wpyar_panel'),
            'default'=> false
        ),
    );
}else{
  $fields = array(
      array(
          'type' => 'content',
          'content' => '<div class="niradd">
                        <h3>
                '.esc_html__('To get started, first install NirWallet plugin.','wpyar_panel').'</h3>
                <a class="niradd_link" href="https://nirweb.ir/product/nir-wallet/">'.esc_html__('Download and install the plugin','wpyar_panel').'</a>
                </div>'
      ),
  );
}
WpyarPanelCSF::createSection($prefix, array(
    'title' =>  __('Referral code','wpyar_panel').'
                    <span class="new_badge">'.esc_html__('New','wpyar_panel').'</span>',
    'icon' => 'fas fa-cannabis',

    'fields' => $fields
));